/******************************************************************************
* Copyright (c) 2015  Ericsson AB
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* Naum Spaseski - initial implementation
*******************************************************************************/

#include "OneM2M_Functions.hh"
#include <string.h>
#include <time.h>

namespace OneM2M__Functions{

	/**
	 * @desc Generates a oneM2M timestamp based on current time. 
	 * 		 Format shall be YYYYMMDDTHHMMSS 
	 */
	CHARSTRING fx__generateTimestamp(){
		time_t now = time(0);

		struct tm * dt;
    	char buffer [30];
    	dt = localtime(&now);
    	strftime(buffer, sizeof(buffer), "%Y%m%dT%H%M%S", dt);
    	return CHARSTRING(buffer);
	}
}